﻿/** @CBappApi
 *  By Neysoft - Neylor Cesar.
 *  _________________________________________
 *  Execute background request and response.
 *  Based axios framework v0.18.0 | (c) 2018.
 *  Return Callbak Promise based HTTP client.
 ******************************************************************/
function CBappApi(cRequest, sResponse) {

    var store_code = id('cdempresa_user_log').value;
    var syncRequest = { function: 'getApiStoreCBapp', store_code: store_code }

    function CBappSync(syncRequest, syncResponse) {

        let config = {
            method: 'POST',
            url: ResolverCorsPolicyAxios+'http://www.casadabateria.com.br/cbappsync/cbappsync.php',
            data: syncRequest,
            headers: {
                'Content-Type': 'multipart/form-data',
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            json: true
        };
        axios(config)
            .then((res) => {
                //console.log(res.data)
                syncResponse(res.data);
            })
            .catch((error) => {
                return false;
            })

    }

    CBappSync(syncRequest, function (syncResponse) {

        let config = {
            method: 'POST',
            url: syncResponse + 'CBapi.php',
            data: cRequest,
            headers: {
                'Content-Type': 'multipart/form-data',
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            json: true
        };
        axios(config)
            .then((res) => {
                response = res.data
                sResponse(response);
            })
            .catch((error) => {
                // Error
                if (error.response) {
                    let process = {};
                    process.action = 'close';
                    modalProcess(process);
                    toastMsg('CBapp API OFLINE.');
                    // The request was made and the server responded with a status code
                    // that falls out of the range of 2xx
                    console.log(error.response.data);
                    console.log(error.response.status);
                    console.log(error.response.headers);
                } else if (error.request) {
                    // The request was made but no response was received
                    // `error.request` is an instance of XMLHttpRequest in the browser and an instance of
                    // http.ClientRequest in node.js
                    console.log(error.request);
                } else {
                    // Something happened in setting up the request that triggered an Error
                    console.log('Error', error.message);
                }
                console.log(error.config);
                //toastMsg('ERROR: API-Offline, tente mais tarde.');
            })
    })

}
/******************************************************************/
