let store_code = '001';

/************ Abstract Select ID Element ***************/
function id(el) { return document.getElementById(el); }
/*******************************************************/

/** Calc Time Sync **********/
let timeSync = 1; //minutes
timeSync = 60000 * timeSync;
/****************************/

/**** Sync ****/
function sync()
{
    let request = {
        function: 'sync',
        store_code: store_code
    }
    CBappSync(request, (response) => {
        try {
            id('ip').innerText = response.sync_ip;
            store.ip = response.sync_ip;
        }
        catch (err) {
            //
        }
    })
}

/** Start Sync **/
sync();
/****************/
setInterval(() => {
    sync();
}, timeSync);
/****************/

/** @CBappSync
 *  By Neysoft - Neylor Cesar.
 *  _________________________________________
 *  Execute background request and response.
 *  Based axios framework.
 *  Return Callbak Promise based HTTP client.
 ******************************************************************/
function CBappSync(cRequest, sResponse) {
    let config = {
        method: 'POST',
        url: 'apiSync.php',
        data: cRequest,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        json: true
    };
    axios(config)
        .then((res) => {
            response = res.data
            sResponse(response);
        })
        .catch((error) => {
            console.log(error);
        })
}
/******************************************************************/