<?php

$data = json_decode(file_get_contents("php://input"), true);

$request = [];
$request['data'] = $data;
$function = $request['data']['function'];

/** DATA BASE CONNECT ***********************************************************************************/
$dsn = 'mysql:host=cbappsync.mysql.uhserver.com;dbname=cbappsync';
$username = 'cbappsync';
$password = 'madalena@912';
$options = array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8",
PDO::ATTR_ERRMODE => \PDO::ERRMODE_EXCEPTION, \PDO::ATTR_EMULATE_PREPARES => false);
$db = new PDO($dsn, $username, $password, $options);
/** DATA BASE CONNECT ***********************************************************************************/

/** NOT MODIFY, WORK TRANSACTION ALL SYSTEM *************************************************************/
const BEGIN_TRANSACTION = "$" . "db->beginTransaction();try{";
const FINAL_TRANSACTION = "$" . "db->commit();}catch (Exception " . "$" . "e){echo " . "$" . "e->getMessage();" . "$" . "db->rollBack();}";
/** NOT MODIFY, WORK TRANSACTION ALL SYSTEM *************************************************************/ 


switch ($function) {
    case 'getIp':
            $response = $_SERVER['REMOTE_ADDR'];
            header('Content-Type: application/json');
            header( 'HTTP/1.1 200 Ok' );
            print_r(json_encode($response));
        break;

    case 'getServerCBapp':

            $dataRequest = 
            [
                'cbapp_server_ip'   =>  $request['data']['cbapp_server_ip'],
                'cbapp_server_uri'  =>  $request['data']['cbapp_server_uri'],
                'cbapp_server_id'   =>  '1'
            ];

            BEGIN_TRANSACTION;
            $sql = "SELECT cbapp_server_uri FROM tbl_cbapp_server WHERE cbapp_server_id = :cbapp_server_id";
            $stmt = $db->prepare($sql);
            $stmt->bindValue(":cbapp_server_id", 1);
            $stmt->execute();
            $DaoResponseCbappServerUri = $stmt->fetch(\PDO::FETCH_COLUMN);
            FINAL_TRANSACTION;
           
                header('Content-Type: application/json');
                header( 'HTTP/1.1 200 Ok' );
                print_r(json_encode($DaoResponseCbappServerUri));

        break;

    case 'setServerCBapp':

            $dataRequest = 
            [
                'cbapp_server_ip'   =>  $request['data']['cbapp_server_ip'],
                'cbapp_server_uri'  =>  $request['data']['cbapp_server_uri'],
                'cbapp_server_id'   =>  '1'
            ];

            BEGIN_TRANSACTION;
            $sql = "SELECT cbapp_server_ip FROM tbl_cbapp_server WHERE cbapp_server_id = :cbapp_server_id";
            $stmt = $db->prepare($sql);
            $stmt->bindValue(":cbapp_server_id", 1);
            $stmt->execute();
            $DaoResponseCbappServerIp = $stmt->fetch(\PDO::FETCH_COLUMN);
            FINAL_TRANSACTION;

            if($DaoResponseCbappServerIp == $request['data']['cbapp_server_ip']){
                $dataResponse = 
                [
                    'response_code'       =>  '200',
                    'response_msg'        =>  'Ok, success update sync'
                ];
                header('Content-Type: application/json');
                header( 'HTTP/1.1 200 Ok' );
                print_r(json_encode($dataResponse));

            } else {                

                BEGIN_TRANSACTION;
                $sql = "UPDATE tbl_cbapp_server SET cbapp_server_ip=:cbapp_server_ip, cbapp_server_uri=:cbapp_server_uri
                WHERE cbapp_server_id = :cbapp_server_id";
                $stmt = $db->prepare($sql);
                $stmt->execute($dataRequest);
                $result = $stmt->rowCount();
                FINAL_TRANSACTION;

                BEGIN_TRANSACTION;
                $sql = "UPDATE tbl_store_sync SET cbapp_server_ip=:cbapp_server_ip, cbapp_server_uri=:cbapp_server_uri
                WHERE store_sync_id >= :cbapp_server_id";
                $stmt = $db->prepare($sql);
                $stmt->execute($dataRequest);
                FINAL_TRANSACTION;

                $dataResponse = 
                [
                    'response_code'       =>  '200',
                    'response_msg'        =>  'Ok, success update sync'
                ];
                if($result > 0){                    
                    header('Content-Type: application/json');
                    header( 'HTTP/1.1 200 Ok' );
                    print_r(json_encode($dataResponse));
                } else {
                    $dataResponse = 
                    [
                        'response_code'       =>  '500',
                        'response_msg'        =>  'Internal Server Error'
                    ];
                    header('Content-Type: application/json');
                    header( 'HTTP/1.1 500 Internal Server Error' );
                    print_r(json_encode($dataResponse));
                }
            }

        break;
    
    case 'setServerStore':
            
            BEGIN_TRANSACTION;
            $sql = "SELECT store_ip FROM tbl_store_sync WHERE store_code = :store_code";
            $stmt = $db->prepare($sql);
            $stmt->bindValue(":store_code", $request['data']['store_code']);
            $stmt->execute($dataRequest);
            $DaoResponseStoreIp = $stmt->fetch(\PDO::FETCH_COLUMN);
            FINAL_TRANSACTION;

            if($DaoResponseStoreIp == $request['data']['store_ip']){
                $dataResponse = 
                [
                    'response_code'       =>  '200',
                    'response_msg'        =>  'Ok, success update sync'
                ];
                header('Content-Type: application/json');
                header( 'HTTP/1.1 200 Ok' );
                print_r(json_encode($dataResponse));
            } else {

                $dataRequest = 
                [
                    'store_code'        =>  $request['data']['store_code'],
                    'store_name'        =>  $request['data']['store_name'],
                    'store_ip'          =>  $request['data']['store_ip'],
                    'store_api_uri'     =>  $request['data']['store_api_uri'],
                    'store_code_update' =>  $request['data']['store_code']
                ];

                BEGIN_TRANSACTION;
                $sql = "UPDATE tbl_store_sync SET store_code=:store_code, store_name=:store_name, store_ip=:store_ip, store_api_uri=:store_api_uri
                WHERE store_code = :store_code_update";
                $stmt = $db->prepare($sql);
                $stmt->execute($dataRequest);
                $result = $stmt->rowCount();
                FINAL_TRANSACTION;

                $dataResponse = 
                [
                    'response_code'       =>  '200',
                    'response_msg'        =>  'Ok, success update sync'
                ];
                if($result > 0){                    
                    header('Content-Type: application/json');
                    header( 'HTTP/1.1 200 Ok' );
                    print_r(json_encode($dataResponse));
                } else {
                    $dataResponse = 
                    [
                        'response_code'       =>  '500',
                        'response_msg'        =>  'Internal Server Error'
                    ];
                    header('Content-Type: application/json');
                    header( 'HTTP/1.1 500 Internal Server Error' );
                    print_r(json_encode($dataResponse));
                }
            }

        break;
    
    default:
        # code...
        break;
}

/*
$sql = "SELECT";         
$stmt = $db->prepare($sql);
$stmt->execute();
$return = $stmt->fetchAll(\PDO::FETCH_ASSOC);
var_dump($return);
*/

?>